POST
/payment/zibapay/bank/:referenceAPIAuthentication:Bearer token
Authorization: Bearer <token>Security requirement: 403 CSRF Protection
Direct server-to-server calls authenticated via Bearer tokens do not require CSRF headers. If you instead invoke mutation endpoints from a web browser using cookie-based sessions, you must include the following header:
X-Requested-With: XMLHttpRequestRequest Parameters
| Field | Type | Required | Description |
|---|---|---|---|
reference | string | Required | transactionReferenceId from the collect response, or the order reference. |
Response fields
| Field | Type | Presence | Description |
|---|---|---|---|
status | string | Always returned | Payment status: PENDING. |
reference | string | Always returned | Order reference identifier. |
accountnumber | string | Always returned | Dynamic virtual bank account number to transfer funds to. |
bankname | string | Always returned | Name of the beneficiary bank. |
accountname | string | Always returned | Account beneficiary name. |
amount | number | Always returned | Exact amount customer must transfer. |
currency | string | Always returned | Transfer currency code. |
expiresAt | string | Always returned | Expiration timestamp for this virtual bank account. |
Status codes
| HTTP Status | Meaning |
|---|---|
| 200 | Virtual bank account generated. |
| 401 | No merchant session. |
Notes
- HTTP 200 returns the provider payment instructions JSON.